Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.operation.aggregator
Class Min

    java.lang.Object
      cascading.operation.BaseOperation<ExtremaBase.Context>
          cascading.operation.aggregator.ExtremaBase
              cascading.operation.aggregator.Min

All Implemented Interfaces:
  Aggregator<ExtremaBase.Context>, Operation<ExtremaBase.Context>, Serializable

Deprecated.

    @Deprecated
    public class Min

extends ExtremaBase

Class Min is an `Aggregator` that returns the minimum value encountered in the current group. *

This class assumes the argument values is a `Number`, or a `String` representation of a number.

See `MinValue` to find the min of any `Comparable` type.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class cascading.operation.aggregator.ExtremaBase
`ExtremaBase.Context`

Field Summary
`static String` | `FIELD_NAME` Deprecated. Field FIELD_NAME

Fields inherited from class cascading.operation.aggregator.ExtremaBase
`ignoreValues`

Fields inherited from class cascading.operation.BaseOperation
`fieldDeclaration, numArgs, trace`

Fields inherited from interface cascading.operation.Operation
`ANY`

Constructor Summary
`Min()` Deprecated. Constructs a new instance that returns the Min value encountered in the field name "min".
`Min(Fields fieldDeclaration)` Deprecated. Constructs a new instance that returns the minimum value encountered in the given fieldDeclaration field name.
`Min(Fields fieldDeclaration, Object... ignoreValues)` Deprecated. Constructs a new instance that returns the minimum value encountered in the given fieldDeclaration field name.

Method Summary
`protected boolean` | `compare(Number lhs, Number rhs)` Deprecated.
`protected double` | `getInitialValue()` Deprecated.

Methods inherited from class cascading.operation.aggregator.ExtremaBase
`aggregate, complete, equals, getIgnoreValues, getResult, hashCode, prepare, start`

Methods inherited from class cascading.operation.BaseOperation
`cleanup, flush, getFieldDeclaration, getNumArgs, getTrace, isSafe, printOperationInternal, toString, toStringInternal`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface cascading.operation.Operation
`cleanup, flush, getFieldDeclaration, getNumArgs, isSafe`

Field Detail

### FIELD_NAME

    public static final String FIELD_NAME

  Deprecated.
  Field FIELD_NAME

  See Also:
    Constant Field Values

Constructor Detail

### Min

    public Min()

  Deprecated.
  Constructs a new instance that returns the Min value encountered in the field name "min".

### Min

    @ConstructorProperties(value="fieldDeclaration")
    public Min(Fields fieldDeclaration)

  Deprecated.
  Constructs a new instance that returns the minimum value encountered in the given fieldDeclaration field name.

  Parameters:
    `fieldDeclaration` - of type Fields

### Min

    @ConstructorProperties(value={"fieldDeclaration","ignoreValues"})
    public Min(Fields fieldDeclaration,
                                          Object... ignoreValues)

  Deprecated.
  Constructs a new instance that returns the minimum value encountered in the given fieldDeclaration field name. Any argument matching an ignoredValue won't be compared.

  Parameters:
    `fieldDeclaration` - of type Fields
    `ignoreValues` - of type Object...

Method Detail

### compare

    protected boolean compare(Number lhs,
                              Number rhs)

  Deprecated.
  Specified by:
    `compare` in class `ExtremaBase`

### getInitialValue

    protected double getInitialValue()

  Deprecated.
  Specified by:
    `getInitialValue` in class `ExtremaBase`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.